@extends('adminlte::layouts.auth')

@section('htmlheader_title')
	Password reset
@endsection

@section('content')
	<div class="login-box m-auto">
		<div class="login-logo">
			<a>{!! config('app.name_html_long') !!}</a>
		</div>

		@if (count($errors) > 0)
			<div class="alert alert-danger">
				<strong>Whoops!</strong> {{ trans('adminlte_lang::message.someproblems') }}<br><br>
				<ul>
					@foreach ($errors->all() as $error)
						<li>{{ $error }}</li>
					@endforeach
				</ul>
			</div>
		@endif

		<!-- /.login-logo -->
		<div class="card">
			<div class="card-body login-card-body">
				<p class="login-box-msg">You are only one step a way from your new password, set your new password now.</p>

				<form method="post" action="{{ url('password/reset') }}">
					<input type="hidden" name="token" value="{{ $token }}">
					@csrf

					<div class="input-group mb-3">
						<input type="email" name="email" class="form-control" placeholder="Email" required>
						<div class="input-group-append">
							<span class="input-group-text"><i class="fas fa-fw fa-envelope"></i></span>
						</div>
					</div>

					<div class="input-group mb-3">
						<input type="password" name="password" class="form-control" placeholder="Password" required>
						<div class="input-group-append">
							<span class="input-group-text"><i class="fas fa-fw fa-lock"></i></span>
						</div>
					</div>

					<div class="input-group mb-3">
						<input type="password" name="password_confirmation" class="form-control" placeholder="Confirm Password" data-match="#password" required>
						<div class="input-group-append">
							<span class="input-group-text"><i class="fas fa-fw fa-clone"></i></span>
						</div>
					</div>

					<div class="row">
						<div class="col-12">
							<button type="submit" class="btn btn-primary btn-block">{{ trans('adminlte_lang::message.passwordreset') }}</button>
						</div>
						<!-- /.col -->
					</div>
				</form>

				<p class="mt-3 mb-1">
					<a href="{{ url('login') }}">Login</a>
					@isset($register)
						<a href="{{ url('register') }}" class="text-center">{{ trans('adminlte_lang::message.register') }}</a>
					@endisset
				</p>
			</div>
			<!-- /.login-card-body -->
		</div>
	</div>
	<!-- /.login-box -->
@endsection